package com.shining.cloud.enums.information;

/**
 * @description: 终端消息枚举
 * @author: denghuajun
 * @time: 2019-10-22 14:47:11
 **/

public enum DevMsgCodeEnum {

    GETDEVMSG_SUCCESS(10166,"获取终端消息列表成功"),
    GETDEVMSG_FALL(10167,"获取终端消息列表失败"),
    GETDEVLIST_SUCCESS(10168,"获取终端列表成功"),
    GETDEVLIST_FALL(10169,"获取终端列表失败"),
    GETDEVINFO_SUCCESS(10170,"获取终端消息详情列表成功"),
    GETDEVINFO_FALL(10171,"获取终端消息详情列表失败"),
    USERID_WRONG(10172,"用户索引非法"),
    DEVINDEX_WRONG(10173,"终端消息列表ID非法"),
    GETPROVINCE_SUCCESS(10174,"获取省份成功"),
    GETPROVINCE_FALL(10175,"获取省份失败"),
    GETGDINFO_SUCCESS(10176,"获取供电公司成功"),
    GETGDINFO_FALL(10177,"获取供电公司失败"),
    GETSUBINFO_SUCCESS(10178,"获取变电站成功"),
    GETSUBINFO_FALL(10179,"获取变电站失败"),
    GETLINEINFO_SUCCESS(10180,"获取监测点成功"),
    GETLINEINFO_FALL(10181,"获取监测点失败"),
    QUERYLINE_SUCCESS(10182,"监测点模糊查询成功"),
    QUERYLINE_FALL(10183,"监测点模糊查询失败"),
    GETDEVCOMINFO_SUCCESS(10184,"获取终端通讯信息成功"),
    GETDEVCOMINFO_FALL(10185,"获取终端通讯信息失败"),
    GETDEVCOMTJ_SUCCESS(10186,"获取终端通讯状态统计成功"),
    GETDEVCOMTJ_FALL(10187,"获取终端通讯状态统计失败");
    DevMsgCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    private int code;

    private String msg;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
